<?php

namespace Modules\Type\Interfaces;

use Modules\Type\Models\Type;

interface TypeRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Type;
    public function update(array $request, Type $type): Type;
    public function destroy(Type $type): void;
    public function destroyAll(array $ids): void;
    public function restore(Type $type): void;
    public function restoreAll(array $ids): void;
}
